package com.zjrs.ggfw.rlzysc.bpo.impl;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.rlzysc.blo.JyzxBLO;
import com.zjrs.ggfw.rlzysc.bpo.JyzxBPO;
import com.zjrs.ggfw.rlzysc.dto.JyzdAddDTO;
import com.zjrs.ggfw.rlzysc.dto.JyzxQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.VRsRlzyJyzxFjxxDTO;
import com.zjrs.ggfw.rlzysc.dto.YrzdAddDTO;
import com.zjrs.ggfw.rlzysc.po.RsRlzyFwggPO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.List;

@Service
public class JyzxBPOImpl implements JyzxBPO {
    @Resource
    private JyzxBLO jyzxBLO;

    @Override
    public PageResult getJyzxList(JyzxQueryDTO dto, int page, int rows) {
        return this.jyzxBLO.getJyzxList(dto,page,rows);
    }

    @Override
    public RsRlzyFwggPO getJyzxDetail(String id) {
        return this.jyzxBLO.getJyzxDetail(id);
    }

    @Override
    public void addJyzd(JyzdAddDTO dto) {
        this.jyzxBLO.addJyzd(dto);
    }

    @Override
    public List<VRsRlzyJyzxFjxxDTO> getJyzxFjxxForList(String id) {
        return this.jyzxBLO.getJyzxFjxxForList(id);
    }
    @Override
    public void addYrzd(YrzdAddDTO dto){
        this.jyzxBLO.addYrzd(dto);
    }
}

